.o-cats-pack__items-wrapper {
    width           : 100%;
    display         : -webkit-flex;
    display         : -ms-flex;
    display         : flex;
    justify-content : center;
    margin-top      : spacer(y, 1);
}
.o-cats-pack__items {
    width           : 100%;
    display         : flex;
    flex-wrap       : wrap;
    justify-content : center;
}
.o-cats-pack__content {
    max-width         : 320px;
    height            : 509px;
    background        : url(../img/cat.png) no-repeat color(light);
    color             : color(dark);
    text-align        : left;
    border            : 4px solid color(primary);
    border-radius     : 12px;
    position          : relative;
    cursor            : pointer;
    -webkit-clip-path : polygon(46px 0, 100% 0, 100% 100%, 0 100%, 0% 46px);
    clip-path         : polygon(46px 0, 100% 0, 100% 100%, 0 100%, 0% 46px);
    &:before {
        content       : '';
        position      : absolute;
        left          : 0;
        top           : -2px;
        border-bottom : 46px solid transparent;
        border-left   : 46px solid color(primary);
    }
    span {
        font-size      : $base-font-size + 4;
        text-transform : lowercase;
    }
    @include hover_element(primary_hover);
}
.o-cats-pack__content-base {
    span:first-child {
        text-transform : initial;
    }
}
.o-cats-pack__desc {
    display   : -webkit-flex;
    display   : -ms-flex;
    display   : flex;
    flex-wrap : wrap;
    color     : lighten(color(dark), 40%);
    span {
        font-size : $base-font-size + 2;
    }
}
.o-cats-pack__weight {
    width         : 80px;
    height        : 80px;
    display       : -webkit-flex;
    display       : -ms-flex;
    display       : flex;
    flex-wrap     : wrap;
    align-items   : center;
    position      : absolute;
    bottom        : spacer(y, 2);
    right         : spacer(x, 2);
    background    : color(primary);
    color         : $base-color;
    border-radius : 50%;
    span {
        text-align : center;
        &:first-child {
            text-align  : center;
            height      : 22px;
            font-weight : 100;
            font-size   : $base-font-size * 3.5;
        }
    }
}
.o-cats-pack__link {
    margin      : spacer(y, 2) auto;
    width       : 100%;
    text-align  : center;
    line-height : $base-line-height * 1.75;
    span {
        width           : inherit;
        text-align      : center;
        color           : color(primary);
        text-decoration : underline;
        cursor          : pointer;
        margin-left     : 2px;
    }
}
.o-cats-pack__select {
    border : 4px solid color(secondary);
    .o-cats-pack__weight {
        background : color(secondary);
    }
    &:before {
        border-left : 46px solid color(secondary);
    }
    .o-cats-pack__content-base > span {
        color : color(secondary);
    }
    @include hover_element(secondary, none);
}
.active {
    @include hover_element(secondary_hover);
}
@include media-breakpoint-up(xs) {
    .o-cats-pack__items-wrapper {
        flex-wrap : wrap;
    }
    .o-cats-pack__items {
        margin-bottom : spacer(y, 4);
    }
    .o-cats-pack__content {
        width                       : inherit;
        -webkit-background-position : 0 100%;
        background-position         : 0 100%;
        -webkit-background-size     : 100%;
        background-size             : 100%;
        padding-top                 : spacer(y, 1);
        padding-left                : spacer(x, 4);
    }
    .o-cats-pack__content-base {
        padding-top : spacer(y, 1);
        margin      : 0 auto;
    }
}
@include media-breakpoint-up(md) {
    .o-cats-pack__items {
        &:not(:last-child) {
            flex : 1;
        }
        &:last-child {
            flex : 0 50%;
        }
    }
}
@include media-breakpoint-up(lg) {
    .o-cats-pack__items-wrapper {
        flex-wrap : nowrap;
    }
    .o-cats-pack__items {
        &:not(:last-child) {
            margin-right : spacer(x, 4);
        }
        &:last-child {
            flex : 1;
        }
    }
    .o-cats-pack__content {
        width                       : 320px;
        -webkit-background-position : 0 100%;
        background-position         : 0 100%;
    }
    .o-cats-pack__content-base {
        padding-left : spacer(x, 1);
    }
}